FRANCEDNS-WHMCS-2.6

From FranceDNS
Jump to: navigation, search

Compatibility

PHP 5.6 / 7.+

Ioncube 10+

WHMCS 7+

http://support.francedns.com/docs/whmcs/francedns-whmcs-2.6.1.zip
Caution, this version is not compatible with API 1.5
Caution, this version requires Ioncube loader v10


Improvments

  • Review and compatibility test

This single version has been tested to work on all versions of PHP since 5.6


  • Delete function of a domain

The execution of the delete operation has been revised to properly handle the different situations impacting expiration date and status.


  • Full support of Latin character set for clients profile, domain holders and contacts information

All the accented characters from LATIN1 / LATIN-EXTA / LATIN-EXTB character sets.

Other character sets such as Cyrillic are still not supported.


  • Support of the "domain_sync" and "transfer_syc" functions

The synchronization of domains, in particular concerning expiration date and status, is now achieved by the internal synchronization feature in WHMCS as well as the synchronization of domain transfers.

The old netimsync.php synchronization script is no longer used.

On the other hand, the new netim_opesync.php script must be used to synchronize asynchronous operations such as pending registrations and pending renewals.


Bug fixes

  • IDN domain management

Registering an IDN domain made the registration of a different domain due to an IDN conversion error


Installation

If upgrading from a previous version of the module, please change the sync script in the crontab

If upgrading from a previous version using the API 1.5, please modify the URL of the API in module settings to the value below

if you are still using WHMCS < 6, please contact us


API to be used

The use of this version is required

API 2.0

Personal tools
Namespaces

Variants
Actions
Domain names
Your Account
Payments / Billing
Hosting service PLESK
Hosting service SPAMORA
Miscellaneous
Resellers
Affiliates
Contact Us